using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.LR;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("检查依据表")]
    public class T_SK_CHECK_SET_CONTENTS_BASIC : MesEntityBase
    {
        /// <summary>
        /// 检查内容表
        /// </summary>
        [Description("检查内容表")]
        [DataFieldForeignKey("Nav_CheckSetContent", "Nav_ContentsBasics")]
        public Guid CHECK_CONTENTS_SET_ID { get; set; }

        /// <summary>
        /// 导航属性：检查内容表
        /// </summary>
        [Description("导航属性：检查内容表")]
        public T_SK_CHECK_SET_CONTENTS Nav_CheckSetContent { get; set; }

        /// <summary>
        /// 法律法规库
        /// </summary>
        [Description("法律法规库")]
        [DataFieldForeignKey("Nav_Law")]
        public Guid? LAW_ID { get; set; }

        /// <summary>
        /// 导航属性：法律法规库
        /// </summary>
        [Description("导航属性：法律法规库")]
        public T_LR_LAW Nav_Law { get; set; }
    }
}
